Decisions
Try a Decision
Evaluates a draft and bounded sample state on an authorized daemon, resolving pool or organization group targets within their current ready members. Does not create a session or store sample content.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/orgs/string/decisions/preview" \ -H "Content-Type: application/json" \ -d '{ "decision": { "name": "string", "providerId": "string", "model": "string", "question": { "type": "choice", "instructions": "string", "criteria": { "property1": "string", "property2": "string" } } }, "state": { "property1": null, "property2": null }, "consumer": { "type": "none" } }'{ "mode": "live", "readiness": { "status": "ready" }, "evaluation": { "status": "answered", "answer": { "type": "boolean", "value": true, "probability": 0 }, "model": "string", "usage": { "inputTokens": 0, "outputTokens": 0 } }, "consumer": null}